%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:		openal
Summary:	3D Sound Library
Version:	0.0.8
Release:	%mkrel 8
License:	LGPLv2
Group:		Sound
URL:		http://www.openal.org
Source:		http://www.openal.org/openal_webstf/downloads/%{name}-%{version}.tar.gz
Patch0:		%{name}-0.0.8-requirements.patch
Patch1:		fix_gcc-4.2.diff
Patch2:		%{name}-0.0.8-pthread.patch
# (fc) 0.0.8-8mdv fix dlopen for audio backends
Patch3:		openal-0.0.8-dlopen.patch
Requires(post):	info-install
Requires(preun): info-install
BuildRequires:	esound-devel
BuildRequires:	smpeg-devel
BuildRequires:	texinfo
BuildRequires:	SDL-devel
BuildRequires:	oggvorbis-devel
Suggests:	libSDL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
OpenAL is a free 3D-audio library, with a programming interface similar
to that of OpenGL.

%package -n %{libname}
Summary:	Main library for OpenAL, a free 3D sound library
Group:		Sound
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with OpenAL.

%package -n %{develname}
Summary:	Headers for developing programs that will use OpenAL
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 0 -d
Provides:	%mklibname %{name} 0 -d

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use OpenAL, a free 3D audio library.

%prep
%setup -q
%patch0 -p1 -b .requirements
%patch1 -p1 -b .gcc4.2
%patch2 -p1 -b .pthread
%patch3 -p1 -b .dlopen

%build
export CFLAGS="%{optflags} -O3"
export CXXLAGS="%{optflags} -O3"

./autogen.sh

%configure2_5x	--enable-alsa \
		--enable-alsa-dlopen \
		--disable-arts \
		--disable-arts-dlopen \
		--enable-esd \
		--enable-esd-dlopen \
		--enable-waveout \
		--enable-null \
		--enable-sdl \
		--enable-vorbis \
		--enable-mp3 \
		--enable-mp3-dlopen \
		--enable-capture \
		--enable-optimization \
		--disable-debug
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%multiarch_binaries %{buildroot}%{_bindir}/%{name}-config

install -d %{buildroot}%{_sysconfdir}
cat << EOF > %{buildroot}%{_sysconfdir}/openalrc
(define devices '(sdl alsa native esd null))
EOF

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{develname}
%_install_info %{name}.info

%preun -n %{develname}
%_remove_install_info %{name}.info

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS NEWS NOTES README TODO
%config(noreplace) %{_sysconfdir}/openalrc
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc ChangeLog
%{_includedir}/AL
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/*.so
%{_bindir}/%{name}-config
%{multiarch_bindir}/%{name}-config


%changelog
* Mon Feb 11 2008 Frederic Crozat <fcrozat@mandriva.com> 0.0.8-8mdv2008.1
+ Revision: 165400
- Patch3: fix dlopen for audio backends
- Suggests SDL by default and use it by default (better Pulseaudio support)

* Thu Jan 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.0.8-7mdv2008.1
+ Revision: 154150
- do not package big changelog
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Oct 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.0.8-6mdv2008.1
+ Revision: 101529
- new devel library policy
- new license policy
- provide patch 2 (linking with pthread)
- drop arts support
- preffer alsa backend over the native
- remove depreciaded configure options
- spec file clean

* Mon Jul 16 2007 Olivier Blin <oblin@mandriva.com> 0.0.8-5mdv2008.0
+ Revision: 52657
- fix ALCvoid patch

* Mon Jul 16 2007 Olivier Blin <oblin@mandriva.com> 0.0.8-4mdv2008.0
+ Revision: 52619
- fix build with gcc 4.2 and Werror (from Debian #379862)

* Wed Jun 27 2007 Olivier Blin <oblin@mandriva.com> 0.0.8-3mdv2008.0
+ Revision: 45022
- remove invalid pkgconfig requirements (makes pkg-config --exists fail)


* Tue Dec 05 2006 Olivier Blin <oblin@mandriva.com> 0.0.8-2mdv2007.0
+ Revision: 90655
- drop multiarch macro that does not expand anymore in files section
- 0.0.8 final (still one year old)
- Import openal

* Tue Aug 01 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.0.8-1.20050824.2mdv2007.0
- add config to have openal try several output devices (fixes #23355)
- fix requires for info-install
- fix macro-in-%%changelog

* Thu Aug 25 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.0.8-1.20050824.1mdk
- new cvs snapshot
- remove some configure options that's no longer used

* Sun Jul 10 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.0.8-1.20050709.1mdk
- update to latest from cvs
- dlopen arts, alsa and esd (fixes #16713)

* Fri May 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.0.8-1.20050505.1mdk
- update to latest from cvs
- lib64 fix
- %%mkrel
- drop P2 (fixed upstream)

* Sat Mar 12 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.8-1.20050312.1mdk
- bah, really update to latest from cvs
- multiarch
- let release tag reflect on cvs date

* Sat Feb 19 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.8-1mdk
- new cvs snapshot (micro version bumpedn to 8
- fix summary-ended-with-dot

* Thu Dec 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.7-3mdk
- new cvs snapshot
- --disable-arch-asm for now

* Sat Oct 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.7-2mdk
- disable jlib

* Thu Jul 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.7-1mdk
- new cvs snapshot (micro version bumped to 7
- fix buildrequires

* Wed Jun 09 2004 Götz Waschk <waschk@linux-mandrake.com> 0.0.6-14mdk
- rebuild

* Tue Feb 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.6-13mdk
- new cvs snapshot
- spec cosmetics
- drop P3, fixed upstream

* Tue Dec 23 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.6-12mdk
- new cvs snapshot
- alsa 1.0 support (P3, done by me, so probably ugly;)
- s/%%configure2_5x/%%configure/

